typedef struct{
unsigned int	adc141;           //ADC for Model 141
double	      hertzRate;			//scan rate (hz)
unsigned int	average;          //number of samples to average per point
unsigned int   ichDelay;         //interchannel delay
unsigned int   numData;          //number of datapoints per scan
unsigned long	totScans;         //number of scans to perform
unsigned int   digInp;           //flag for digital input 1 = on  0 = off
unsigned int   biPolar;				//1 = bipolar, 0 = unipolar
BYTE 	         controlCode;		//control code for next conversion in GetConv
unsigned int   cCode[33];        //array of control codes
unsigned long	numCompleted;     //number of scans completed if scan was aborted
DWORD          calTime;			   //time in milliseconds for calibration
}	T_M141;

extern "C" short FAR PASCAL _export ADInit(int adc);

extern "C" unsigned long FAR PASCAL _export GetCount(T_M141 far *M141);

extern "C" double FAR PASCAL _export GetConv(T_M141 far *M141);

extern "C" short FAR PASCAL _export Call141(T_M141 far *M141, unsigned long huge *clientDataBuffer);

extern "C" short FAR PASCAL _export Calibrate(T_M141 far *M141);

